<?xml version='1.0'?>

<xsl:stylesheet xmlns:xsl  = 'http://www.w3.org/1999/XSL/Transform'
                xmlns:wsdl = 'http://schemas.xmlsoap.org/wsdl/'
                version    = '1.0'>

<xsl:include href='xsl:/common.xsl'/>
<xsl:param name='basedir'/>
<xsl:output method='xml' omit-xml-declaration='no' indent='no'/>

<xsl:template match='/'>
 <xsl:apply-templates select='comment() | wsdl:definitions'/>
</xsl:template>

<xsl:template match='wsdl:definitions'>
 <xsl:value-of select='$eol'/>
 <xsl:copy>
  <xsl:attribute name='name'>
   <xsl:value-of select='concat(@name, "-interface")'/>
  </xsl:attribute>
  <xsl:attribute name='targetNamespace'>
   <xsl:value-of select='concat(@targetNamespace, "-interface")'/>
  </xsl:attribute>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
  <xsl:apply-templates select='comment() | wsdl:types | wsdl:message | wsdl:portType | wsdl:binding'/>
 </xsl:copy>
 <xsl:value-of select='$eol'/>
</xsl:template>

<xsl:template match='comment()'>
 <xsl:variable name='service' select='/wsdl:definitions/@name'/>
 <xsl:comment>
  <xsl:choose>
   <xsl:when test='contains(., ".wsdl")'>
    <xsl:value-of select='concat(substring-before(., ".wsdl"), "-interface.wsdl", substring-after(., ".wsdl"))'/>
   </xsl:when>
   <xsl:otherwise>
    <xsl:value-of select='.'/>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:comment>
 <xsl:value-of select='$eol'/>
</xsl:template>

<xsl:template match='* | @* | text()'>
 <xsl:copy>
  <xsl:apply-templates select='* | @* | text()'/>
 </xsl:copy>
 <xsl:if test='parent::node() = /wsdl:definitions'>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
 </xsl:if>
</xsl:template>

</xsl:stylesheet>
