<?xml version='1.0'?>

<xsl:stylesheet xmlns:xsl      = 'http://www.w3.org/1999/XSL/Transform'
                xmlns:wsdl     = 'http://schemas.xmlsoap.org/wsdl/'
                xmlns:lxslt    = 'http://xml.apache.org/xslt'
                xmlns:java     = 'http://xml.apache.org/xslt/java'
                xmlns:redirect = 'xalan://org.apache.xalan.lib.Redirect'
                xmlns:util     = 'xalan://com.ibm.workflow.util.wsdl'
                xmlns:wf       = 'xalan://com.ibm.workflow.util.wsdl.make'
                extension-element-prefixes='redirect'
                version = '1.0'>

<xsl:include href='xsl:/common.xsl'/>

<xsl:param name='generator'/>
<xsl:param name='input'/>
<xsl:param name='output'/>
<xsl:param name='options'/>

<xsl:output method='text' indent='no'/>
<xsl:template match='text()'/>

<xsl:template match='/'>
 <xsl:apply-templates select='wsdl:definitions/wsdl:service'/>
</xsl:template>

<xsl:template match='wsdl:service'>
 <xsl:variable name='fileName' select='concat($output, @name, "DeploymentScript.bat")'/>
 <redirect:write select='$fileName'>
  <xsl:text>@echo off</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>
  <xsl:text>: MQSeries Workflow deployment script for WSDL service '</xsl:text>
  <xsl:value-of select='@name'/>
  <xsl:text>'</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:text>: This file ("</xsl:text>
  <xsl:variable name='javaFile' select='java:java.io.File.new($fileName)'/>
  <xsl:variable name='absoluteFileName' select='java:getAbsolutePath($javaFile)'/>
  <xsl:value-of select='$absoluteFileName'/>
  <xsl:text>")</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:text>: was generated by </xsl:text>
  <xsl:value-of select='$generator'/>
  <xsl:text> on </xsl:text>
  <xsl:value-of select='java:java.util.Date.new()'/>
  <xsl:value-of select='$eol'/>
  <xsl:text>: from WSDL file "</xsl:text>
  <xsl:value-of select='$input'/>
  <xsl:text>" </xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:value-of select='$eol'/>

  <xsl:text>@echo Importing FDL ...</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:for-each select='//wsdl:portType'>
   <xsl:variable name='userid' select='java:get($options, "UserID")'/>
   <xsl:variable name='password' select='java:get($options, "Password")'/>
   <xsl:variable name='doprocess' select='java:get($options, "GenerateProcess")'/>
   <xsl:text>fmcibie -u</xsl:text>
   <xsl:value-of select='$userid'/>
   <xsl:text> -p</xsl:text>
   <xsl:value-of select='$password'/>
   <xsl:text> -i</xsl:text>
   <xsl:value-of select='@name'/>
   <xsl:text>.fdl -o</xsl:text>
   <xsl:value-of select='$eol'/>
   <xsl:if test='java:equals($doprocess, "yes")'>
    <xsl:text>fmcibie -u</xsl:text>
    <xsl:value-of select='$userid'/>
    <xsl:text> -p</xsl:text>
    <xsl:value-of select='$password'/>
    <xsl:text> -i</xsl:text>
    <xsl:value-of select='@name'/>
    <xsl:text>Process.fdl -o -t</xsl:text>
    <xsl:value-of select='$eol'/>
   </xsl:if>
  </xsl:for-each>
<!--
  <xsl:text>@echo Compiling Transformers ...</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:text>javac</xsl:text>
  <xsl:for-each select='//wsdl:portType/wsdl:operation'>
   <xsl:value-of select='concat(" ", translate(util:Utils.ns2pkg(/wsdl:definitions/@targetNamespace), ".", "/"), "/", ../@name, "_", @name, ".java")'/>
  </xsl:for-each>
  <xsl:value-of select='$eol'/>

  <xsl:text>@echo Deploying stylesheets ...</xsl:text>
  <xsl:value-of select='$eol'/>
  <xsl:variable name='routerurl' select='java:get($options, "UpesRouterLocation")'/>
  <xsl:for-each select='//wsdl:portType/wsdl:operation'>
   <xsl:variable name='xslstem' select='concat(util:Utils.ns2pkg(/wsdl:definitions/@targetNamespace), ".", ../@name, "_", @name)'/>
   <xsl:text>java com.ibm.workflow.soap.upes.Admin </xsl:text>
   <xsl:value-of select='$routerurl'/>
   <xsl:text> deploy </xsl:text>
   <xsl:value-of select='concat($xslstem, "_Invoke.xsl")'/>
   <xsl:value-of select='$eol'/>
   <xsl:text>java com.ibm.workflow.soap.upes.Admin </xsl:text>
   <xsl:value-of select='$routerurl'/>
   <xsl:text> deploy </xsl:text>
   <xsl:value-of select='concat($xslstem, "_InvokeResponse.xsl")'/>
   <xsl:value-of select='$eol'/>
  </xsl:for-each>
-->
  <xsl:text>@echo Done.</xsl:text>
  <xsl:value-of select='$eol'/>
 </redirect:write>
</xsl:template>

</xsl:stylesheet>
