/*BEGIN CMVC */
//*************************************************************************
//
//  Workfile: %W%
//  Last update: %E% %U%
//  SCCS path, id: %F% %I%
//
//************************************************************************/
/*END CMVC */
/*BEGIN COPYRIGHT */
//*************************************************************************
//
//  Licensed Materials - Property of IBM
//  WA07 Support Pac - Web Services Process Management Toolkit
//  (c) Copyright IBM Corp. 2001
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//************************************************************************/
/*END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */

package com.ibm.workflow.util.fdl.make;

/**
 *
 * DTD Generator. Generates Document Type Definition for MQSeries Workflow XML messages from a given FDL.
 * All this class does is to define a set of strings specific to DTD generation. Actual generation is delegated to its
 * base class.
 *
 * @author  Robert Junghuber (<a href='mailto:junghub@de.ibm.com'>junghub@de.ibm.com</a>)
 * @version 1.2
 *
 */

public final class DTD extends Make
{
  public DTD(String[] args) throws Exception { super(args); }
  public static void main(String args[]) throws Exception { new DTD(args).make(null); }

  protected final Class  visitor() { return com.ibm.workflow.util.fdl.make.StructureVisitor.class; }
  protected final String ext    () { return "dtd"; }
  protected final String tag    () { return "<!-- _GENERATED_DATA_STRUCTURE_DTD_ -->"; }
  protected final String name   () { return "MQWF DTD Generator V1.2"; }
  protected final String usage  () { return "<FDL-inputfile> [DTD-outputfile [configurationfile]]"; }
}
