/*BEGIN CMVC */
//*************************************************************************
//
//  Workfile: %W%
//  Last update: %E% %U%
//  SCCS path, id: %F% %I%
//
//************************************************************************/
/*END CMVC */
/*BEGIN COPYRIGHT */
//*************************************************************************
//
//  Licensed Materials - Property of IBM
//  WA07 Support Pac - Web Services Process Management Toolkit
//  (c) Copyright IBM Corp. 2001
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//************************************************************************/
/*END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */

package com.ibm.workflow.util.fdl.make;

import java.util.*;

/**
 *
 * Substitution algorithm for  FilterWriter and FilterReader. Implements the tag substitution semantics using a single pass
 * over a buffer. It will look for %XXX% tags, and if it finds a corresponding XXX=YYY entry in the map, it will replace
 * the %XXX% tag with YYY.
 *
 * @author  Robert Junghuber (<a href='mailto:junghub@de.ibm.com'>junghub@de.ibm.com</a>)
 * @version 1.2
 *
 */

public final class SubstFilter
{
  public static final void format(StringBuffer buf, Hashtable map)
  {
    int start = -1;
    int end   = -1;

    if (map != null && map.size() > 0)
    {
      for (int i = 0; i < buf.length(); i++)
      {
        if ('%' == buf.charAt(i)) { if (start < 0) start = i; else if (end < 0) end = i; }

        if (start > 0 && end > 0)
        {
          String s = (String)map.get(buf.substring(start + 1, end));

          if (s != null) buf.replace(start, end + 1, s);

          start = -1;
          end   = -1;
        }
      }
    }
  }
}
